Name:           libmodplug
Version:        0.7
Release:        3%{?dist}
Epoch:          1
Summary:        Modplug mod music file format library

Group:          System Environment/Libraries
License:        Public Domain
URL:            http://modplug-xmms.sourceforge.net/
Source0:        http://dl.sf.net/modplug-xmms/%{name}-%{version}.tar.gz
Patch0:         %{name}-64bit.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
%{summary}.

%package        devel
Summary:        Development files for the Modplug mod music file format library
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       pkgconfig

%description    devel
%{summary}.


%prep
%setup -q
%patch0 -p1


%build
%configure --enable-static --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%check
make check


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_libdir}/libmodplug.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/libmodplug/
%{_libdir}/libmodplug.a
%{_libdir}/libmodplug.so
%{_libdir}/pkgconfig/libmodplug.pc


%changelog
* Tue Aug 23 2005 Ville Skyttä <ville.skytta at iki.fi> - 1:0.7-3
- Fix x86_64, thanks to Adam Goode (#166127).

* Thu Mar 17 2005 Ville Skyttä <ville.skytta at iki.fi> - 1:0.7-2
- Build with dependency tracking disabled.
- Run tests in the %%check section.

* Fri Oct 17 2003 Ville Skyttä <ville.skytta at iki.fi> - 1:0.7-0.fdr.1
- First build, separated from xmms-modplug.
- Bump Epoch.
